﻿Imports Microsoft.Advertising.Mobile.UI
Imports System.Diagnostics

Partial Public Class MainPage
    Inherits PhoneApplicationPage
    ' Constructor
    Public Sub New()
        InitializeComponent()

        Dim adControl As New AdControl()
        ' Add the control to a grid control
        Dim grid As Grid = CType(Me.LayoutRoot.Children(1), Grid)
        grid.Children.Add(adControl)
        ' Insert real values from pubCenter before
        ' submitting your app to Windows Phone Marketplace!
#If SHOW_TEST_ADS Then
			adControl.ApplicationId = "test_client"
			adControl.AdUnitId = "Image480_80"
#Else
        ' Use your real Application ID and Ad Unit ID here
        adControl.ApplicationId = "12ab456c-de7f-89ab-0123-4567890c1d23"
        adControl.AdUnitId = "12345"
#End If
        ' Make the AdControl fit the standard 480 x 80 dimension
        adControl.Width = 480
        adControl.Height = 80
        ' Let the AdControl collapse and refresh automatically
        adControl.IsAutoRefreshEnabled = True
        adControl.IsAutoCollapseEnabled = True

    End Sub

#If AUTO_REFRESH_DISABLED Then
		Public Sub AdControl_AdRefreshed(ByVal sender As Object, ByVal args As EventArgs)
			Dim ad As AdControl = CType(sender, AdControl)
			Dispatcher.BeginInvoke(Sub()
				ad.Visibility = System.Windows.Visibility.Visible
				Debug.WriteLine("ad control '" & ad.Name & "' got ad, visibility = " & ad.Visibility)
			End Sub)
		End Sub


		Public Sub AdControl_ErrorOccurred(ByVal sender As Object, ByVal args As EventArgs)
			Try
				Dim ad As AdControl = CType(sender, AdControl)
				Dispatcher.BeginInvoke(Sub()
					ad.Visibility = System.Windows.Visibility.Collapsed
					Debug.WriteLine("error in ad control '" & ad.Name)
					Debug.WriteLine("ad control '" & ad.Name & "' visibility = " & ad.Visibility)
				End Sub)
			Catch e As Exception
				Debug.WriteLine("oh no! " & e.Message)
			End Try
		End Sub
#End If

End Class

